PDA

View Full Version : looking for Mac G4 DVD burner




xxgorskixx
Feb 17, 2010, 05:06 PM
hey guys,
im looking for a reasonably cheap DVD burner for my Mac G4 Quiksilver (preferably under $50)
I just need something that is somewhat quick, quiet and will be reliable. I need it to be able burn both CDs and DVDs. One last thing it would be great if it was usb connected.
Please dont flame im new to the mac world, its my first mac and i just need some help. thanks guys



SmurfBoxMasta
Feb 17, 2010, 06:25 PM
lookie here: www.macsales.com (http://googleads.g.doubleclick.net/aclk?sa=l&ai=BR79s0od8S_bZMKDxlAe8--iCDrDszwfujorCEMCNtwGg4BQQARgBIMrnywM4AFDejcfl-f____8BYMn2642ApfQPoAH08PL-A7IBFGZvcnVtcy5tYWNydW1vcnMuY29tugEJNzI4eDkwX2pzyAEB2gEzaHR0cDovL2ZvcnVtcy5tYWNydW1vcnMuY29tL3Nob3d0 aHJlYWQucGhwP3Q9ODY2MzQzgAIBqAMB6AMe6APfBegD7APoAyD1AwABAIQ&num=1&sig=AGiWqtw3hEoUz1jbLzN_5nHLpNzdaboFJA&client=ca-pub-2224409576101196&adurl=http://eshop.macsales.com/Search/Search.cfm%3FNtk%3DPrimary%26Ns%3DP_Price%257c0%26N%3D0%26Ntt%3Dsuperdrives%26source%3DGoogleJuly28-2009SuperDrives%26s_kwcid%3DTC%7C9594%7Cmac%2520dvdr%7Cforums.macrumors.com%7CC%7C%7C4336013510).... .owc's website ALWAYS has great selections & reasonable prices + terrific service on mac stuff.......go for any of the Pioneer drives, many of which were OEM models over the past few years, so they have the right firmware to be natively supported in OS X 10.3 & up :)

I've had 4-5 of them over the past several years in a variety of G3's G4's & G5's..... neveranottaproblemo !

rickvanr
Feb 17, 2010, 07:19 PM
In my experience, ANY name brand DVD drive purchased from anywhere will work.

Using a G4, just make sure it's an IDE model. If you want USB it's going to be more, $30-50 for a 5.25" enclosure, $20-40 for a drive

Newegg, Tigerdirect, Best Buy, etc, etc..

+1 for Pioneer

666sheep
Feb 18, 2010, 12:48 PM
Consider this: http://www.amazon.com/Plextor-22X-DVDrw-Pata-Retail/dp/B002EE3QME/ref=sr_1_4?ie=UTF8&s=electronics&qid=1266518599&sr=8-4 (my favourite brand) If you running 10.4+ it works P&P with any software.